openSUSE Security Update : msmtp (msmtp-1813)

Medium Nessus Plugin ID 44087


The remote openSUSE host is missing a security update.


msmtp did not properly handle a '0' character in the domain name of SSL certificates (CVE-2009-3942).


Update the affected msmtp package.

See Also

Plugin Details

Severity: Medium

ID: 44087

File Name: suse_11_0_msmtp-100118.nasl

Version: $Revision: 1.6 $

Type: local

Agent: unix

Published: 2010/01/20

Modified: 2014/06/13

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.4

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:msmtp, cpe:/o:novell:opensuse:11.0

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2010/01/18

Reference Information

CVE: CVE-2009-3942

CWE: 310